import { configureStore } from '@reduxjs/toolkit'
import authReducer from './features/location/authSlice'
import locationReducer from './features/location/locationSlice'

const store = configureStore({
  reducer: {
    auth: authReducer,
    location: locationReducer,
  },
})

export default store

export type RootState = ReturnType<typeof store.getState>
export type AppDispatch = typeof store.dispatch